diff --git a/usr/local/www/services_dhcpv6.php b/usr/local/www/services_dhcpv6.php
index e9e9b8d750..60395aaed5 100644
--- a/usr/local/www/services_dhcpv6.php
+++ b/usr/local/www/services_dhcpv6.php
@@ -466,7 +466,7 @@ include("head.inc");
 	}
 ?>
 <?php if (is_subsystem_dirty('staticmaps')): ?><p>
-<?php print_info_box_np(gettext("The static mapping configuration has been changed") . ".<br>" . gettext("You must apply the changes in order for them to take effect."));?><br>
+<?php print_info_box_np(gettext("The static mapping configuration has been changed") . ".<br />" . gettext("You must apply the changes in order for them to take effect."));?><br />
 <?php endif; ?>
 <table width="100%" border="0" cellpadding="0" cellspacing="0">
 <tr><td>
@@ -597,7 +597,7 @@ display_top_tabs($tab_array);
 			<td width="78%" class="vtable">
 				<input name="prefixrange_from" type="text" class="formfld unknown" id="prefixrange_from" size="28" value="<?=htmlspecialchars($pconfig['prefixrange_from']);?>">
 				&nbsp;<?=gettext("to"); ?>&nbsp; <input name="prefixrange_to" type="text" class="formfld unknown" id="prefixrange_to" size="28" value="<?=htmlspecialchars($pconfig['prefixrange_to']);?>">
-				&nbsp;<br/><?=gettext("Prefix Delegation Size"); ?>:&nbsp; <select name="prefixrange_length" class="formselect" id="prefixrange_length">
+				&nbsp;<br /><?=gettext("Prefix Delegation Size"); ?>:&nbsp; <select name="prefixrange_length" class="formselect" id="prefixrange_length">
 					<option value="48" <?php if($pconfig['prefixrange_length'] == 48) echo "selected"; ?>>48</option>
 					<option value="52" <?php if($pconfig['prefixrange_length'] == 52) echo "selected"; ?>>52</option>
 					<option value="56" <?php if($pconfig['prefixrange_length'] == 56) echo "selected"; ?>>56</option>
@@ -605,7 +605,7 @@ display_top_tabs($tab_array);
 					<option value="62" <?php if($pconfig['prefixrange_length'] == 62) echo "selected"; ?>>62</option>
 					<option value="63" <?php if($pconfig['prefixrange_length'] == 63) echo "selected"; ?>>63</option>
 					<option value="64" <?php if($pconfig['prefixrange_length'] == 64) echo "selected"; ?>>64</option>
-				</select> <br/>
+				</select> <br />
 				<?php echo gettext("You can define a Prefix range here for DHCP Prefix Delegation. This allows for 
 					assigning networks to subrouters. The start and end of the range must end on boundaries of the prefix delegation size."); ?>
 			</td>
@@ -613,22 +613,22 @@ display_top_tabs($tab_array);
 			<tr>
 			<td width="22%" valign="top" class="vncell"><?=gettext("DNS servers");?></td>
 			<td width="78%" class="vtable">
-				<input name="dns1" type="text" class="formfld unknown" id="dns1" size="28" value="<?=htmlspecialchars($pconfig['dns1']);?>"><br>
-				<input name="dns2" type="text" class="formfld unknown" id="dns2" size="28" value="<?=htmlspecialchars($pconfig['dns2']);?>"><br>
+				<input name="dns1" type="text" class="formfld unknown" id="dns1" size="28" value="<?=htmlspecialchars($pconfig['dns1']);?>"><br />
+				<input name="dns2" type="text" class="formfld unknown" id="dns2" size="28" value="<?=htmlspecialchars($pconfig['dns2']);?>"><br />
 				<?=gettext("NOTE: leave blank to use the system default DNS servers - this interface's IP if DNS forwarder is enabled, otherwise the servers configured on the General page.");?>
 			</td>
 			</tr>
 			<tr>
 			<td width="22%" valign="top" class="vncell"><?=gettext("Domain name");?></td>
 			<td width="78%" class="vtable">
-				<input name="domain" type="text" class="formfld unknown" id="domain" size="28" value="<?=htmlspecialchars($pconfig['domain']);?>"><br>
+				<input name="domain" type="text" class="formfld unknown" id="domain" size="28" value="<?=htmlspecialchars($pconfig['domain']);?>"><br />
 				 <?=gettext("The default is to use the domain name of this system as the default domain name provided by DHCP. You may specify an alternate domain name here.");?>
 			 </td>
 			</tr>
 			<tr>
 			<td width="22%" valign="top" class="vncell"><?=gettext("Domain search list");?></td>
 			<td width="78%" class="vtable">
-				<input name="domainsearchlist" type="text" class="formfld unknown" id="domainsearchlist" size="28" value="<?=htmlspecialchars($pconfig['domainsearchlist']);?>"><br>
+				<input name="domainsearchlist" type="text" class="formfld unknown" id="domainsearchlist" size="28" value="<?=htmlspecialchars($pconfig['domainsearchlist']);?>"><br />
 				<?=gettext("The DHCP server can optionally provide a domain search list. Use the semicolon character as separator");?>
 			</td>
 			</tr>
@@ -636,9 +636,9 @@ display_top_tabs($tab_array);
 			<td width="22%" valign="top" class="vncell"><?=gettext("Default lease time");?></td>
 			<td width="78%" class="vtable">
 				<input name="deftime" type="text" class="formfld unknown" id="deftime" size="10" value="<?=htmlspecialchars($pconfig['deftime']);?>">
-				<?=gettext("seconds");?><br>
+				<?=gettext("seconds");?><br />
 				<?=gettext("This is used for clients that do not ask for a specific " .
-				"expiration time."); ?><br>
+				"expiration time."); ?><br />
 				<?=gettext("The default is 7200 seconds.");?>
 			</td>
 			</tr>
@@ -646,9 +646,9 @@ display_top_tabs($tab_array);
 			<td width="22%" valign="top" class="vncell"><?=gettext("Maximum lease time");?></td>
 			<td width="78%" class="vtable">
 				<input name="maxtime" type="text" class="formfld unknown" id="maxtime" size="10" value="<?=htmlspecialchars($pconfig['maxtime']);?>">
-				<?=gettext("seconds");?><br>
+				<?=gettext("seconds");?><br />
 				<?=gettext("This is the maximum lease time for clients that ask".
-				" for a specific expiration time."); ?><br>
+				" for a specific expiration time."); ?><br />
 				<?=gettext("The default is 86400 seconds.");?>
 			</td>
 			</tr>
@@ -690,7 +690,7 @@ display_top_tabs($tab_array);
 					<input name="ddnsdomain" type="text" class="formfld unknown" id="ddnsdomain" size="28" value="<?=htmlspecialchars($pconfig['ddnsdomain']);?>"><br />
 					<?=gettext("Note: Leave blank to disable dynamic DNS registration.");?><br />
 					<?=gettext("Enter the dynamic DNS domain which will be used to register client names in the DNS server.");?>
-					<input name="ddnsdomainprimary" type="text" class="formfld unknown" id="ddnsdomainprimary" size="20" value="<?=htmlspecialchars($pconfig['ddnsdomainprimary']);?>"><br>
+					<input name="ddnsdomainprimary" type="text" class="formfld unknown" id="ddnsdomainprimary" size="20" value="<?=htmlspecialchars($pconfig['ddnsdomainprimary']);?>"><br />
 					<?=gettext("Enter the primary domain name server IP address for the dynamic domain name.");?><br />
 					<input name="ddnsdomainkeyname" type="text" class="formfld unknown" id="ddnsdomainkeyname" size="20" value="<?=htmlspecialchars($pconfig['ddnsdomainkeyname']);?>"><br />
 					<?=gettext("Enter the dynamic DNS domain key name which will be used to register client names in the DNS server.");?>
@@ -706,7 +706,7 @@ display_top_tabs($tab_array);
 					<input type="button" onClick="show_ntp_config()" value="<?=gettext("Advanced");?>"></input> - <?=gettext("Show NTP configuration");?></a>
 				</div>
 				<div id="showntp" style="display:none">
-					<input name="ntp1" type="text" class="formfld unknown" id="ntp1" size="28" value="<?=htmlspecialchars($pconfig['ntp1']);?>"><br>
+					<input name="ntp1" type="text" class="formfld unknown" id="ntp1" size="28" value="<?=htmlspecialchars($pconfig['ntp1']);?>"><br />
 					<input name="ntp2" type="text" class="formfld unknown" id="ntp2" size="28" value="<?=htmlspecialchars($pconfig['ntp2']);?>">
 				</div>
 			</td>
@@ -719,7 +719,7 @@ display_top_tabs($tab_array);
 				<input type="button" onClick="show_tftp_config()" value="<?=gettext("Advanced");?>"></input> - <?=gettext("Show TFTP configuration");?></a>
 			</div>
 			<div id="showtftp" style="display:none">
-				<input name="tftp" type="text" class="formfld unknown" id="tftp" size="50" value="<?=htmlspecialchars($pconfig['tftp']);?>"><br>
+				<input name="tftp" type="text" class="formfld unknown" id="tftp" size="50" value="<?=htmlspecialchars($pconfig['tftp']);?>"><br />
 				<?=gettext("Leave blank to disable.  Enter a full hostname or IP for the TFTP server.");?>
 			</div>
 			</td>
@@ -732,7 +732,7 @@ display_top_tabs($tab_array);
 					<input type="button" onClick="show_ldap_config()" value="<?=gettext("Advanced");?>"></input> - <?=gettext("Show LDAP configuration");?></a>
 				</div>
 				<div id="showldap" style="display:none">
-					<input name="ldap" type="text" class="formfld unknown" id="ldap" size="80" value="<?=htmlspecialchars($pconfig['ldap']);?>"><br>
+					<input name="ldap" type="text" class="formfld unknown" id="ldap" size="80" value="<?=htmlspecialchars($pconfig['ldap']);?>"><br />
 					<?=gettext("Leave blank to disable.  Enter a full URI for the LDAP server in the form ldap://ldap.example.com/dc=example,dc=com");?>
 				</div>
 			</td>
@@ -820,14 +820,14 @@ display_top_tabs($tab_array);
 			</tr>
 			<tr>
 			<td width="22%" valign="top">&nbsp;</td>
-			<td width="78%"> <p><span class="vexpl"><span class="red"><strong><?=gettext("Note:");?><br>
+			<td width="78%"> <p><span class="vexpl"><span class="red"><strong><?=gettext("Note:");?><br />
 				</strong></span><?=gettext("The DNS servers entered in"); ?> <a href="system.php"><?=gettext("System: " .
 				"General setup"); ?></a> <?=gettext("(or the"); ?> <a href="services_dnsmasq.php"><?=gettext("DNS " .
 				"forwarder"); ?></a>, <?=gettext("if enabled)"); ?> </span><span class="vexpl"><?=gettext("will " .
-				"be assigned to clients by the DHCP server."); ?><br>
-				<br>
+				"be assigned to clients by the DHCP server."); ?><br />
+				<br />
 				<?=gettext("The DHCP lease table can be viewed on the"); ?> <a href="status_dhcpv6_leases.php"><?=gettext("Status: " .
-				"DHCPv6 leases"); ?></a> <?=gettext("page."); ?><br>
+				"DHCPv6 leases"); ?></a> <?=gettext("page."); ?><br />
 				</span></p>
 			</td>
 			</tr>
diff --git a/usr/local/www/services_dhcpv6_edit.php b/usr/local/www/services_dhcpv6_edit.php
index 40f71caeef..e049af5024 100644
--- a/usr/local/www/services_dhcpv6_edit.php
+++ b/usr/local/www/services_dhcpv6_edit.php
@@ -195,7 +195,7 @@ include("head.inc");
                   <td width="22%" valign="top" class="vncellreq"><?=gettext("DUID Identifier");?></td>
                   <td width="78%" class="vtable"> 
                     <input name="duid" type="text" class="formfld unknown" id="duid" size="40" value="<?=htmlspecialchars($pconfig['duid']);?>">
-                    <br>
+                    <br />
                     <span class="vexpl"><?=gettext("Enter a DUID Identifier in the following format: ");?><br />
 "DUID-LLT - ETH -- TIME --- ---- address ----" <br />
 "xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx"</span></td>
@@ -204,9 +204,9 @@ include("head.inc");
                   <td width="22%" valign="top" class="vncell"><?=gettext("IPv6 address");?></td>
                   <td width="78%" class="vtable"> 
                     <input name="ipaddrv6" type="text" class="formfld unknown" id="ipaddrv6" size="28" value="<?=htmlspecialchars($pconfig['ipaddrv6']);?>">
-                    <br>
+                    <br />
 			<?=gettext("If an IPv6 address is entered, the address must be outside of the pool.");?>
-			<br/>
+			<br />
 			<?=gettext("If no IPv6 address is given, one will be dynamically allocated from the pool.");?>
 			</td>
                 </tr>
@@ -214,27 +214,27 @@ include("head.inc");
                   <td width="22%" valign="top" class="vncell"><?=gettext("Hostname");?></td>
                   <td width="78%" class="vtable"> 
                     <input name="hostname" type="text" class="formfld unknown" id="hostname" size="28" value="<?=htmlspecialchars($pconfig['hostname']);?>">
-                    <br> <span class="vexpl"><?=gettext("Name of the host, without domain part.");?></span></td>
+                    <br /> <span class="vexpl"><?=gettext("Name of the host, without domain part.");?></span></td>
                 </tr>				
                 <?php if($netboot_enabled) { ?>
 		<tr>
 		  <td width="22%" valign="top" class="vncell">Netboot filename</td>
 		  <td width="78%" class="vtable">
 		    <input name="filename" type="text" class="formfld unknown" id="filename" size="28" value="<?=htmlspecialchars($pconfig['filename']);?>">
-		    <br> <span class="vexpl">Name of the file that should be loaded when this host boots off of the network, overrides setting on main page.</span></td>
+		    <br /> <span class="vexpl">Name of the file that should be loaded when this host boots off of the network, overrides setting on main page.</span></td>
 		</tr>
 		<tr>
 		  <td width="22%" valign="top" class="vncell">Root Path</td>
 		  <td width="78%" class="vtable">
 			<input name="rootpath" type="text" class="formfld unknown" id="rootpath" size="90" value="<?=htmlspecialchars($pconfig['rootpath']);?>">
-		    <br> <span class="vexpl"><?=gettext("Enter the"); ?> <b><?=gettext("root-path"); ?></b>-<?=gettext("string");?>, overrides setting on main page.</span></td>
+		    <br /> <span class="vexpl"><?=gettext("Enter the"); ?> <b><?=gettext("root-path"); ?></b>-<?=gettext("string");?>, overrides setting on main page.</span></td>
 		</tr>
 		<?php } ?>
                 <tr> 
                   <td width="22%" valign="top" class="vncell"><?=gettext("Description");?></td>
                   <td width="78%" class="vtable"> 
                     <input name="descr" type="text" class="formfld unknown" id="descr" size="40" value="<?=htmlspecialchars($pconfig['descr']);?>"> 
-                    <br> <span class="vexpl"><?=gettext("You may enter a description here ".
+                    <br /> <span class="vexpl"><?=gettext("You may enter a description here ".
                     "for your reference (not parsed).");?></span></td>
                 </tr>
                 <tr> 
diff --git a/usr/local/www/services_dnsmasq.php b/usr/local/www/services_dnsmasq.php
old mode 100755
new mode 100644
index 59f55f2a3e..d3529ec562
--- a/usr/local/www/services_dnsmasq.php
+++ b/usr/local/www/services_dnsmasq.php
@@ -172,7 +172,7 @@ function show_advanced_dns() {
 <?php if ($input_errors) print_input_errors($input_errors); ?>
 <?php if ($savemsg) print_info_box($savemsg); ?>
 <?php if (is_subsystem_dirty('hosts')): ?><p>
-<?php print_info_box_np(gettext("The DNS forwarder configuration has been changed") . ".<br>" . gettext("You must apply the changes in order for them to take effect."));?><br>
+<?php print_info_box_np(gettext("The DNS forwarder configuration has been changed") . ".<br />" . gettext("You must apply the changes in order for them to take effect."));?><br />
 <?php endif; ?>
 <table width="100%" border="0" cellpadding="6" cellspacing="0">
 	<tr>
@@ -182,14 +182,14 @@ function show_advanced_dns() {
 		<td width="22%" valign="top" class="vncellreq"><?=gettext("Enable");?></td>
 		<td width="78%" class="vtable"><p>
 			<input name="enable" type="checkbox" id="enable" value="yes" <?php if ($pconfig['enable'] == "yes") echo "checked";?> onClick="enable_change(false)">
-			<strong><?=gettext("Enable DNS forwarder");?><br>
+			<strong><?=gettext("Enable DNS forwarder");?><br />
 			</strong></p></td>
 		</tr>
 	<tr>
 		<td width="22%" valign="top" class="vncellreq"><?=gettext("DHCP Registration");?></td>
 		<td width="78%" class="vtable"><p>
 			<input name="regdhcp" type="checkbox" id="regdhcp" value="yes" <?php if ($pconfig['regdhcp'] == "yes") echo "checked";?>>
-			<strong><?=gettext("Register DHCP leases in DNS forwarder");?><br>
+			<strong><?=gettext("Register DHCP leases in DNS forwarder");?><br />
 			</strong><?php printf(gettext("If this option is set, then machines that specify".
 			" their hostname when requesting a DHCP lease will be registered".
 			" in the DNS forwarder, so that their name can be resolved.".
@@ -201,7 +201,7 @@ function show_advanced_dns() {
 		<td width="22%" valign="top" class="vncellreq"><?=gettext("Static DHCP");?></td>
 		<td width="78%" class="vtable"><p>
 			<input name="regdhcpstatic" type="checkbox" id="regdhcpstatic" value="yes" <?php if ($pconfig['regdhcpstatic'] == "yes") echo "checked";?>>
-			<strong><?=gettext("Register DHCP static mappings in DNS forwarder");?><br>
+			<strong><?=gettext("Register DHCP static mappings in DNS forwarder");?><br />
 			</strong><?php printf(gettext("If this option is set, then DHCP static mappings will ".
 					"be registered in the DNS forwarder, so that their name can be ".
 					"resolved. You should also set the domain in %s".
@@ -212,7 +212,7 @@ function show_advanced_dns() {
 		<td width="22%" valign="top" class="vncellreq"><?=gettext("Prefer DHCP");?></td>
 		<td width="78%" class="vtable"><p>
 			<input name="dhcpfirst" type="checkbox" id="dhcpfirst" value="yes" <?php if ($pconfig['dhcpfirst'] == "yes") echo "checked";?>>
-			<strong><?=gettext("Resolve DHCP mappings first");?><br>
+			<strong><?=gettext("Resolve DHCP mappings first");?><br />
 			</strong><?php printf(gettext("If this option is set, then DHCP mappings will ".
 					"be resolved before the manual list of names below. This only ".
 					"affects the name given for a reverse lookup (PTR)."));?></p>
@@ -222,7 +222,7 @@ function show_advanced_dns() {
 		<td rowspan="3" width="22%" valign="top" class="vncellreq"><?=gettext("DNS Query Forwarding");?></td>
 		<td width="78%" class="vtable"><p>
 			<input name="strict_order" type="checkbox" id="strict_order" value="yes" <?php if ($pconfig['strict_order'] == "yes") echo "checked";?>>
-			<strong><?=gettext("Query DNS servers sequentially");?><br>
+			<strong><?=gettext("Query DNS servers sequentially");?><br />
 			</strong><?php printf(gettext("If this option is set, %s DNS Forwarder (dnsmasq) will ".
 					"query the DNS servers sequentially in the order specified (<i>System - General Setup - DNS Servers</i>), ".
 					"rather than all at once in parallel. ".
@@ -232,7 +232,7 @@ function show_advanced_dns() {
 	<tr>
 		<td width="78%" class="vtable"><p>
 			<input name="domain_needed" type="checkbox" id="domain_needed" value="yes" <?php if ($pconfig['domain_needed'] == "yes") echo "checked";?>>
-			<strong><?=gettext("Require domain");?><br>
+			<strong><?=gettext("Require domain");?><br />
 			</strong><?php printf(gettext("If this option is set, %s DNS Forwarder (dnsmasq) will ".
 					"not forward A or AAAA queries for plain names, without dots or domain parts, to upstream name servers.  ".
 					"If the name is not known from /etc/hosts or DHCP then a \"not found\" answer is returned. ".
@@ -242,7 +242,7 @@ function show_advanced_dns() {
 	<tr>
 		<td width="78%" class="vtable"><p>
 			<input name="no_private_reverse" type="checkbox" id="no_private_reverse" value="yes" <?php if ($pconfig['no_private_reverse'] == "yes") echo "checked";?>>
-			<strong><?=gettext("Do not forward private reverse lookups");?><br>
+			<strong><?=gettext("Do not forward private reverse lookups");?><br />
 			</strong><?php printf(gettext("If this option is set, %s DNS Forwarder (dnsmasq) will ".
 					"not forward reverse DNS lookups (PTR) for private addresses (RFC 1918) to upstream name servers.  ".
 					"Any entries in the Domain Overrides section forwarding private \"n.n.n.in-addr.arpa\" names to a specific server are still forwarded. ".
@@ -300,9 +300,9 @@ function show_advanced_dns() {
 				<input type="button" onClick="show_advanced_dns()" value="<?=gettext("Advanced"); ?>"></input> - <?=gettext("Show advanced option");?></a>
 			</div>
 			<div id="showadv" <?php if (empty($pconfig['custom_options'])) echo "style='display:none'"; ?>>
-				<strong><?=gettext("Advanced");?><br></strong>
-				<textarea rows="6" cols="78" name="custom_options" id="custom_options"><?=htmlspecialchars($pconfig['custom_options']);?></textarea><br/>
-				<?=gettext("Enter any additional options you would like to add to the dnsmasq configuration here, separated by a space or newline"); ?><br/>
+				<strong><?=gettext("Advanced");?><br /></strong>
+				<textarea rows="6" cols="78" name="custom_options" id="custom_options"><?=htmlspecialchars($pconfig['custom_options']);?></textarea><br />
+				<?=gettext("Enter any additional options you would like to add to the dnsmasq configuration here, separated by a space or newline"); ?><br />
 			</div>
 			</p>
 		</td>
@@ -314,7 +314,7 @@ function show_advanced_dns() {
 	</tr>
 </table>
 
-<p><span class="vexpl"><span class="red"><strong><?=gettext("Note:");?><br>
+<p><span class="vexpl"><span class="red"><strong><?=gettext("Note:");?><br />
 </strong></span><?php printf(gettext("If the DNS forwarder is enabled, the DHCP".
 " service (if enabled) will automatically serve the LAN IP".
 " address as a DNS server to DHCP clients so they will use".
@@ -325,16 +325,16 @@ function show_advanced_dns() {
 " is checked. If you don't use that option (or if you use".
 " a static IP address on WAN), you must manually specify at".
 " least one DNS server on the %sSystem:".
-"General setup%s page."),'<a href="system.php">','</a>','<a href="system.php">','</a>');?><br>
+"General setup%s page."),'<a href="system.php">','</a>','<a href="system.php">','</a>');?><br />
 </span></p>
 
-&nbsp;<br>
+&nbsp;<br />
 <table width="100%" border="0" cellpadding="0" cellspacing="0" class="tabcont">
 <tr>
 	<td colspan="5" valign="top" class="listtopic"><?=gettext("Host Overrides");?></td>
 </tr>
 <tr>
-	<td><br/>
+	<td><br />
 	<?=gettext("Entries in this section override individual results from the forwarders.");?>
 	<?=gettext("Use these for changing DNS results or for adding custom DNS records.");?>
 	</td>
@@ -417,7 +417,7 @@ function show_advanced_dns() {
 	</tr>
 	</tfoot>
 </table>
-<br/>
+<br />
 <table width="100%" border="0" cellpadding="0" cellspacing="0" class="tabcont">
 <tr>
 	<td colspan="5" valign="top" class="listtopic"><?=gettext("Domain Overrides");?></td>
diff --git a/usr/local/www/services_dnsmasq_domainoverride_edit.php b/usr/local/www/services_dnsmasq_domainoverride_edit.php
old mode 100755
new mode 100644
index 1e595da210..e74d396564
--- a/usr/local/www/services_dnsmasq_domainoverride_edit.php
+++ b/usr/local/www/services_dnsmasq_domainoverride_edit.php
@@ -131,28 +131,28 @@ include("head.inc");
                   <td width="22%" valign="top" class="vncellreq"><?=gettext("Domain");?></td>
                   <td width="78%" class="vtable">
                     <?=$mandfldhtml;?><input name="domain" type="text" class="formfld unknown" id="domain" size="40" value="<?=htmlspecialchars($pconfig['domain']);?>">
-                    <br> <span class="vexpl"><?=gettext("Domain to override (NOTE: this does not have to be a valid TLD!)"); ?><br>
+                    <br /> <span class="vexpl"><?=gettext("Domain to override (NOTE: this does not have to be a valid TLD!)"); ?><br />
                     <?=gettext("e.g."); ?> <em><?=gettext("test"); ?></em> <?=gettext("or"); ?> <em>mycompany.localdomain</em> <?=gettext("or"); ?> <em>1.168.192.in-addr.arpa</em> </span></td>
                 </tr>
                                <tr>
                   <td width="22%" valign="top" class="vncellreq"><?=gettext("IP address");?></td>
                   <td width="78%" class="vtable">
                     <?=$mandfldhtml;?><input name="ip" type="text" class="formfld unknown" id="ip" size="40" value="<?=htmlspecialchars($pconfig['ip']);?>">
-                    <br> <span class="vexpl"><?=gettext("IP address of the authoritative DNS server for this domain"); ?><br>
-                    <?=gettext("e.g."); ?> <em>192.168.100.100</em><br/><?=gettext("Or enter # for an exclusion to pass through this host/subdomain to standard nameservers instead of a previous override."); ?><br/><?=gettext("Or enter ! for lookups for this host/subdomain to NOT be forwarded anywhere."); ?></span></td>
+                    <br /> <span class="vexpl"><?=gettext("IP address of the authoritative DNS server for this domain"); ?><br />
+                    <?=gettext("e.g."); ?> <em>192.168.100.100</em><br /><?=gettext("Or enter # for an exclusion to pass through this host/subdomain to standard nameservers instead of a previous override."); ?><br /><?=gettext("Or enter ! for lookups for this host/subdomain to NOT be forwarded anywhere."); ?></span></td>
                 </tr>
                                <tr>
                   <td width="22%" valign="top" class="vncell"><?=gettext("Source IP");?></td>
                   <td width="78%" class="vtable">
                     <?=$mandfldhtml;?><input name="dnssrcip" type="text" class="formfld unknown" id="dnssrcip" size="40" value="<?=htmlspecialchars($pconfig['dnssrcip']);?>">
-                    <br> <span class="vexpl"><?=gettext("Source IP address for queries to the DNS server for the override domain."); ?><br>
+                    <br /> <span class="vexpl"><?=gettext("Source IP address for queries to the DNS server for the override domain."); ?><br />
                     <?=gettext("Leave blank unless your DNS server is accessed through a VPN tunnel."); ?></span></td>
                 </tr>
                                <tr>
                   <td width="22%" valign="top" class="vncell"><?=gettext("Description");?></td>
                   <td width="78%" class="vtable">
                     <input name="descr" type="text" class="formfld unknown" id="descr" size="40" value="<?=htmlspecialchars($pconfig['descr']);?>">
-                    <br> <span class="vexpl"><?=gettext("You may enter a description here".
+                    <br /> <span class="vexpl"><?=gettext("You may enter a description here".
                     " for your reference (not parsed).");?></span></td>
                 </tr>
                 <tr>
diff --git a/usr/local/www/services_dnsmasq_edit.php b/usr/local/www/services_dnsmasq_edit.php
old mode 100755
new mode 100644
index 4efeafd5d0..5916b1c5ad
--- a/usr/local/www/services_dnsmasq_edit.php
+++ b/usr/local/www/services_dnsmasq_edit.php
@@ -198,29 +198,29 @@ include("head.inc");
                   <td width="22%" valign="top" class="vncell"><?=gettext("Host");?></td>
                   <td width="78%" class="vtable"> 
                     <input name="host" type="text" class="formfld" id="host" size="40" value="<?=htmlspecialchars($pconfig['host']);?>">
-                    <br> <span class="vexpl"><?=gettext("Name of the host, without".
-                   " domain part"); ?><br>
+                    <br /> <span class="vexpl"><?=gettext("Name of the host, without".
+                   " domain part"); ?><br />
                    <?=gettext("e.g."); ?> <em><?=gettext("myhost"); ?></em></span></td>
                 </tr>
 				<tr>
                   <td width="22%" valign="top" class="vncellreq"><?=gettext("Domain");?></td>
                   <td width="78%" class="vtable"> 
                     <input name="domain" type="text" class="formfld" id="domain" size="40" value="<?=htmlspecialchars($pconfig['domain']);?>">
-                    <br> <span class="vexpl"><?=gettext("Domain of the host"); ?><br>
+                    <br /> <span class="vexpl"><?=gettext("Domain of the host"); ?><br />
                    <?=gettext("e.g."); ?> <em><?=gettext("example.com"); ?></em></span></td>
                 </tr>
 				<tr>
                   <td width="22%" valign="top" class="vncellreq"><?=gettext("IP address");?></td>
                   <td width="78%" class="vtable"> 
                     <input name="ip" type="text" class="formfld" id="ip" size="40" value="<?=htmlspecialchars($pconfig['ip']);?>">
-                    <br> <span class="vexpl"><?=gettext("IP address of the host"); ?><br>
+                    <br /> <span class="vexpl"><?=gettext("IP address of the host"); ?><br />
                    <?=gettext("e.g."); ?> <em>192.168.100.100</em> <?=gettext("or"); ?> <em>fd00:abcd::1</em></span></td>
                 </tr>
 				<tr>
                   <td width="22%" valign="top" class="vncell"><?=gettext("Description");?></td>
                   <td width="78%" class="vtable"> 
                     <input name="descr" type="text" class="formfld" id="descr" size="40" value="<?=htmlspecialchars($pconfig['descr']);?>">
-                    <br> <span class="vexpl"><?=gettext("You may enter a description here".
+                    <br /> <span class="vexpl"><?=gettext("You may enter a description here".
                    " for your reference (not parsed).");?></span></td>
                 </tr>
 				<tr>
diff --git a/usr/local/www/services_dyndns.php b/usr/local/www/services_dyndns.php
old mode 100755
new mode 100644
index 0852071923..c2f4860a4d
--- a/usr/local/www/services_dyndns.php
+++ b/usr/local/www/services_dyndns.php
@@ -185,9 +185,9 @@ include("head.inc");
 		</tr>
 		<tr>
 		  <td colspan="5" class="list"><p class="vexpl"><span class="red"><strong>
-			<?=gettext("Note:");?><br>
+			<?=gettext("Note:");?><br />
 			</strong></span>
-			<?=gettext("IP addresses appearing in green are up to date with Dynamic DNS provider.");?><br>
+			<?=gettext("IP addresses appearing in green are up to date with Dynamic DNS provider.");?><br />
 			<?=gettext("You can force an update for an IP address on the edit page for that service.");?>
 		  </td>
 		  <td class="list">&nbsp;</td>
